{% extends "bandeau.html" %}
{% block main %}
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='eleve.css') }}">
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='voir-poneys.css') }}">
<title> Voir les Poneys </title>
<body>
    <h1> Voici les Poneys du Club </h1>
    <div id="tableau">

        <table >
            <thead>
            <tr>
                <th> id </th>
                <th> Nom </th>
                <th> Poids Max Accepté (kg) </th>
                <th> Age </th>
                <th> Robe </th>
                <th> Race </th>
                <th> Etat de Sante </th>
            </tr>
            </thead>
            <tbody>
                {% for po in poneys %}
                <tr>  
                    <td> {{ po.idPo }} </td>
                    <td> {{ po.nomPo }} </td>
                    <td> {{ po.poidsAccepte }} </td>
                    <td> {{ po.agePo }} </td>
                    <td> {{ po.robePo }} </td>
                    <td> {{ po.racePo }} </td>
                    <td> {{ po.etatSante }} </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    <!-- si c'est le moniteur administrateur -->
    {% if id == 1002 %}
    <table id="tabbas">
        <form action="{{url_for('create_poney', id=id)}}" method="post">
            
            <tr>
                <!-- vide pour l'id  -->
                <td> </td>
                <td><input type="text" placeholder="Nom" name="nom" pattern="[aA-zZ - é è à ]{3,20}" required></td>
                <td><input type="number" placeholder="Poids" name="poids" pattern="[0-9]{2}" required></td>
                <td><input type="number" placeholder="Age" name="age" pattern="[0-9]{1,2}" required ></td>
                <td><select name="robe" id="robes" required>
                    {% for robe in rr[0] %}
                    <option value= {{robe[0]}} name="robe"> {{robe[0]}} </option>
                    {% endfor %}
                </select></td>
                <td><select name="race" id="races" required>
                    {% for race in rr[1] %}
                    <option value= "{{ race[0] }}" name="race"> {{race[0]}} </option>
                    {% endfor %}
                </select></td>
                <td><input type="text" placeholder="Etat de santé" name="etatSante"  pattern="[aA-zZ]{9,25}" required></td>
                <td><input class="bouton" id="create_poney" type="submit" value="Valider"></td>
            </tr>
        </form>
    </table>
    {% endif %}
</body>
{% endblock %}